<?php


namespace Schaffen\Financial\FinancialMovement\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\FinancialMovement\Models\CurrentAccount;

class CurrentAccountRepository extends Repository
{
    protected $model = CurrentAccount::class;
    protected $searchableFields = [
        ["field" => "ccr_data", "operator" => '>=', "name" => "ccr_data_begin"],
        ["field" => "ccr_data", "operator" => '<=', "name" => "ccr_data_end"],
    ];
}