<?php

namespace Schaffen\Financial\Price\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Product\Models\ProductVarietyPack;

class ProductPrice extends Model
{
    protected $table = "movimentacao.tabela_preco_produto";
    protected $primaryKey = "tpp_codigo";
    protected $fillable = [];

    public function product_variety_pack(){
        return $this->belongsTo(ProductVarietyPack::class, 'tpp_fk_pve_codigo')->with('product_variety');
    }
}